Skip to main content
POST
https://prod-api.raisedonors.com
/
api
/
Raise
/
lead
cURL
curl --request POST \
  --url https://prod-api.raisedonors.com/api/Raise/lead \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "isTestMode": true,
  "emailLists": [
    "<string>"
  ],
  "customFields": [
    {
      "customFieldId": 123,
      "value": "<string>"
    }
  ],
  "customCollections": [
    {
      "customCollectionId": 123,
      "customFieldResponses": [
        {
          "customFieldId": 123,
          "value": "<string>"
        }
      ]
    }
  ]
}
'

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

isTestMode
boolean
donor
object

The donor payment request.

emailLists
string[] | null
customFields
object[] | null
customCollections
object[] | null

Response

200

OK

Last modified on June 5, 2026